Bug 92165 - page numbers doubled (i.e. 1 -> 11; 2 -> 22 etc) after saving specific .odt as .doc
Summary: page numbers doubled (i.e. 1 -> 11; 2 -> 22 etc) after saving specific .odt a...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Fields-Page-Number
  Show dependency treegraph
 
Reported: 2015-06-18 21:26 UTC by tommy27
Modified: 2022-08-03 03:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
.odt test case to save as .doc (24.13 KB, application/vnd.oasis.opendocument.text)
2015-06-18 21:26 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tommy27 2015-06-18 21:26:33 UTC
Created attachment 116637 [details]
.odt test case to save as .doc

tested under Win8.1 x64

load attached 2 pages .odt file and save it as .doc then reload the output.

page numbers are shown as "1" and "2" in source .odt 
and as "11" and "22" in .doc output, if you add a new page it is shown as "33"

this "doubling" of page numbers is present in all LibO releases (tested up to 3.3.3) and in OOo as well, so it's an inherited bug.

it also persists in LibO 4.4.3.2 and recent 5.1 master daily builds
Comment 1 MM 2015-06-18 22:57:06 UTC
Confirmed with v4.4.4.2 under windows 7 x64.

Also better test it with docx. Then the doc extend to 10 or 11 pages with strikes through text and randomly places bulletpoints, all hidden now. So you might have another fileopen bug here.
Comment 2 tommy27 2015-06-19 04:35:47 UTC
@MM
the .docx issue is already known and reported at Bug 89991
Comment 3 Cor Nouws 2015-06-24 08:53:48 UTC
I cannot reproduce it when I create a simple test file, so must be specific for this document?
Comment 4 Cor Nouws 2015-06-24 08:59:29 UTC
And the document is weird too.
When I place the cursor in the footer, just in front of the number field, and do a Backspace to remove a Tab, at the first paragraph on the second page a bullet is added :D
Comment 5 tommy27 2015-06-24 09:22:20 UTC
I'm not the author of that document... it's a stripped version of another attachment probably from Bug 89991

anyway this bug is probably "document specific"
Comment 6 tommy27 2016-02-21 12:43:05 UTC Comment hidden (obsolete)
Comment 7 tommy27 2016-10-05 07:52:13 UTC Comment hidden (obsolete)
Comment 8 tommy27 2018-01-09 05:13:33 UTC
still repro

6.1.0.0.alpha0+
Build ID: acb43c0b8efbfb841e7b40603d75a8432eb21f21
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-01-08_23:05:27
Locale: it-IT (it_IT); Calc: group threaded
Comment 9 QA Administrators 2019-02-05 03:46:44 UTC Comment hidden (obsolete)
Comment 10 Cor Nouws 2019-02-05 10:48:15 UTC
the same in Version: 6.3.0.0.alpha0+
Build ID: 65f6a4088ad5d51a3225905aa6e2fa175f3eab49
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-02-03_17:11:18
Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
Calc: threaded
Comment 11 tommy27 2020-08-02 06:27:23 UTC
still repro using 6.4.5.2 under Win10 x64
Comment 12 QA Administrators 2022-08-03 03:31:43 UTC
Dear tommy27,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug